Author Topic: Block Table  (Read 1429 times)

0 Members and 1 Guest are viewing this topic.

udaaf

  • Guest
Block Table
« on: November 24, 2015, 04:32:44 AM »
I've try for write some code for update block properties table  with Lisp. Properties can changed but geometry can't update.
Here's my code :

Code: [Select]
(vl-load-com)
;Proses Pemilihan Single Object (Pick)
(setq ss (ssget ":S" '((0 . "INSERT"))))
(setq ename (ssname ss 0))
(setq vevo (vlax-ename->vla-object ename))
(setq v (vla-getdynamicblockproperties vevo))
(setq vval (vlax-variant-value v))
(setq sal (vlax-safearray->list vval))
(setq BlockProp (nth 5 sal))
(vlax-put-property BlockProp 'value "A01")
(vla-update vevo)
Please correct the code, where's wrong ?

udaaf

  • Guest
Re: Block Table
« Reply #1 on: December 02, 2015, 04:11:51 AM »
Can we change Block Table with Lisp ?

Marc'Antonio Alessi

  • Swamp Rat
  • Posts: 1453
  • Marco
Re: Block Table
« Reply #2 on: December 02, 2015, 05:02:21 AM »
Search vla-getdynamicblockproperties:

One of the best: http://www.lee-mac.com/dynamicblockfunctions.html

Ma penso che Lee arriverą presto...  :-)   ^-^